BEEOS CLOUD / DEVELOPER REFERENCE
Audio
Audio transcription.
Overview
The audio domain transcribes audio to text.
1 operation · SDK resource: TypeScript cloud.audio · Python cloud.audio · Go cloud.Audio · API overview
Main objects
audio.transcribetakes an audio upload and returns the transcript; its fields are listed with the method.
Typical flow
- Send the audio with
audio.transcribeand read the transcript from the response.
Methods
| Method | HTTP | Summary |
|---|---|---|
| audio.transcribe | POST /v1/audio/transcribe | Transcribe audio |
audio.transcribe
POST /v1/audio/transcribe · Operation ID transcribeAudio
Transcribe audio
SDK methods
| Language | Method | Signature |
|---|---|---|
| TypeScript | cloud.audio.transcribe | transcribe(input: Models.TranscribeAudioRequest): Promise<Models.TranscribeAudioResponse> |
| Python | cloud.audio.transcribe | def transcribe(self, input: TranscribeAudioRequest) -> TranscribeAudioResponse |
| Go | cloud.Audio.Transcribe | func (r *AudioResource) Transcribe(ctx context.Context, input TranscribeAudioRequest) (TranscribeAudioResponse, error) |
Request body
multipart/form-data · required
| Field | Type | Required | Description |
|---|---|---|---|
file | string | yes | Constraints: format=binary. |
Response
200 · application/json
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | yes | — |
data | object | yes | — |
data.text | string | yes | — |
data.duration_seconds | number | yes | — |
Errors
| Status | Schema | Description |
|---|---|---|
| other (default) | ErrorResponse | Cloud Server error |
The error schemas are described in Errors.
Example
import { BeeOSClient } from "@beeos-ai/cloud-sdk";
const cloud = new BeeOSClient({
baseURL: "https://api.cloud.beeos.ai/v1",
apiKey: "YOUR_API_KEY", // bsk_ key: backend only
});
const result = await cloud.audio.transcribe({ file: new Blob(["example"]) });
console.log(result);BeeOS CloudBack to documentation